Subject: [CODE4LIB] FW: Ruby client library for Solr

From: "Mitchell, Matthew (mwm4n)" <[email-masked]>
Date: Mon, 5 Jan 2009 14:28:19 -0500

Sorry for posting again, but we changed the name of this project slightly to avoid confusion. It is now known as RSolr. The url is:

http://github.com/mwmitchell/rsolr/tree/master

Thanks!

Matt Mitchell
Research & Development
Alderman Library
University of Virginia
________________________________________
From: Mitchell, Matthew (mwm4n)
Sent: Monday, December 29, 2008 4:43 PM
To: Code for Libraries
Subject: Ruby client library for Solr

I've been working on a new Solr client library over the past few months and I feel it's finally getting to a good usable/stable spot. Some of it's capabilities:

ability to send arbitrary params to solr
transparent jruby, direct connection support
document set pagination
http client adapters for Net::HTTP and Curb (ruby bindings for curl)
simplified filter and facet querying using ruby constructs

We'll be integrating this into Blacklight soon. But I'm hoping to get as much feedback as possible before doing so. Here's the project page:

http://github.com/mwmitchell/solr/tree/master

And if you'd like to jump in and try it NOW:

# install
gem sources -a http://gems.github.com
sudo gem install mwmitchell-solr

# try it out
solr = Solr.connect(:http, solr_server_url)
response = solr.query(:q=>'*:*', :page=>1, :per_page=>10)
response.docs.each do |doc|

end

Any thoughts or ideas? Features you'd like to see implemented or possible gotchas that I'm not seeing? Any Ruby developers out there that might want to chip in?

Thanks for your time,

Matt Mitchell
Research & Development
Alderman Library
University of Virginia